Query Parameters
cursor?string|null
limit?Limit
Range
1 <= value <= 200Default
50status?|null
direction?|null
Header Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/emails"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "email_domain_id": "b3a00cb4-43d0-468a-8a5d-50c998cb143f", "direction": "outbound", "from_address": "string", "from_name": "string", "to_addresses": [ "string" ], "cc_addresses": [ "string" ], "bcc_addresses": [ "string" ], "reply_to": "string", "subject": "string", "status": "queued", "end_reason": "string", "provider_message_id": "string", "requested_at": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z", "failed_at": "2019-08-24T14:15:22Z", "metadata": {} } ], "next_cursor": "string"}List Email Events
Chronological lifecycle events for one email (org-scoped). Cursor-paginated with the same forward-walk shape as ``GET /events``: strictly-greater on ``(occurred_at, id)``, ascending.
List Events
Cursor-paginated forward stream of call, email, and SMS events. Scoped to the caller's organization. Pass id (typed "<type>:<uuid>", e.g. "call:<uuid>") to narrow to one resource's events, or kind to narrow to one event kind. Walks forward in time — pass the returned next_cursor to continue tailing where you left off.